Your submission was sent successfully! Close

You have successfully unsubscribed! Close

Thank you for signing up for our newsletter!
In these regular emails you will find the latest updates about Ubuntu and upcoming events where you can meet our team.Close

USN-6506-1: Apache HTTP Server vulnerabilities

22 November 2023

Several security issues were fixed in Apache HTTP Server.

Reduce your security exposure

Ubuntu Pro provides ten-year security coverage to 25,000+ packages in Main and Universe repositories, and it is free for up to five machines.

Learn more about Ubuntu Pro

Releases

Packages

Details

David Shoon discovered that the Apache HTTP Server mod_macro module
incorrectly handled certain memory operations. A remote attacker could
possibly use this issue to cause the server to crash, resulting in a denial
of service. (CVE-2023-31122)

Prof. Sven Dietrich, Isa Jafarov, Prof. Heejo Lee, and Choongin Lee
discovered that the Apache HTTP Server incorrectly handled certain HTTP/2
connections. A remote attacker could possibly use this issue to cause the
server to consume resources, leading to a denial of service. This issue
only affected Ubuntu 23.04, and Ubuntu 23.10. (CVE-2023-43622)

Will Dormann and David Warren discovered that the Apache HTTP Server
incorrectly handled memory when handling HTTP/2 connections. A remote
attacker could possibly use this issue to cause the server to consume
resources, leading to a denial of service. (CVE-2023-45802)

Reduce your security exposure

Ubuntu Pro provides ten-year security coverage to 25,000+ packages in Main and Universe repositories, and it is free for up to five machines.

Learn more about Ubuntu Pro

Update instructions

The problem can be corrected by updating your system to the following package versions:

Ubuntu 23.10
Ubuntu 23.04
Ubuntu 22.04
Ubuntu 20.04

In general, a standard system update will make all the necessary changes.

Related notices

  • USN-6510-1: apache2-suexec, apache2-bin, apache2-mpm-event, apache2-dev, apache2-mpm-itk, apache2-mpm-worker, apache2-utils, apache2.2-bin, apache2-suexec-pristine, apache2-ssl-dev, libapache2-mod-macro, apache2-mpm-prefork, libapache2-mod-proxy-html, apache2-suexec-custom, apache2-data, apache2-doc, apache2